#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
SAT: a jabber client
Copyright (C) 2009  Jérôme Poisson (goffi@goffi.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from logging import debug, info, error
from xml.dom import minidom
import pdb

class XMLTools:
    """This class help manage XML used in SàT (parameters, registration, etc) """

    
    @staticmethod
    def dataForm2xml(form):
        """Take a data form (xep-0004, Wokkel's implementation) and convert it to a SàT xml"""
        result_xml = ["<form>", "</form>"]
        if form.instructions:
            result_xml.insert(1,"<elem name='instructions' value='%s' type='text' />" % '\n'.join(form.instructions))
        for field in form.fieldList:
            if field.fieldType == 'text-single':
                __field_type = "string"
            elif field.fieldType == 'text-private':
                __field_type = "password"
            else:
                error (u"FIXME FIXME FIXME: Type [%s] is not managed yet by SàT" % field.fieldType)
                __field_type = "string_field"
            
            result_xml.insert(-1,"<elem name='%s' type='%s' label='%s'>" % (field.var, __field_type, field.label))

        return '\n'.join(result_xml)

        
        
        
        pdb.set_trace()
